Bug 51890 - On MacOS X, the progress bar and the new splash screen graphics are mis-aligned
Summary: On MacOS X, the progress bar and the new splash screen graphics are mis-aligned
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta3
Hardware: Other Mac OS X (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-09 06:42 UTC by Roman Eisele
Modified: 2012-07-26 16:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the new splash screen at work (117.49 KB, image/png)
2012-07-09 06:42 UTC, Roman Eisele
Details
Screenshot of alternative (2): splash screen with native progress bar, size and position fixed (54.94 KB, image/png)
2012-07-11 18:48 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Eisele 2012-07-09 06:42:28 UTC
Created attachment 63997 [details]
Screenshot of the new splash screen at work

In LibO 3.6.0 beta 3, new background images for about box and splash screen have been introduced. Thank you very much for the new clean look!

However, on MacOS X (at least on MacOS X 10.6.8) there is a visual glitch in the new splash screen: the progress bar does not fit into the visible progress bar frame which is a part of the new splash screen background image. See the attached screenshot which explains this best.

This is a minor issue, I known, but nevertheless it makes the new splash screen look worse (instead of better) than the old one and gives LibreOffice a "not really professional" looking on MacOS X.

IMHO this is a consequence of commit
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6&id=08b4d85e6e04b1ca4ec7f9ea623d795af4a044d4
; Stefan Knorr (astron) explains in his notes to this comment:

  * The visible progress bar frame is now in the image itself
  which has two advantages
  - it is always there (otherwise the splash could come up
  without any progress bar frame at all,
  and then would appear a second later)
  - you can have arbitrary distances between the bar frame and the bar"

But this change has the disadvantage to cause the visual glitch on MacOS X. To make the splash screen look better, please either adjust position and length of the progress bar, or remove the "visible progress bar frame" again from the background image.
Comment 1 Roman Eisele 2012-07-09 06:48:58 UTC
Hello Astron,
hello Thorsten Behrens,

I CC you because you will know best how to fix this issue. It is a very minor issue, of course, but it should be trivial to fix, and it counteracts all the work done to make the splash screen look better, making it look worse indeed on MacOS X. So please have a look into this issue. Thank you very much in advance!
Comment 2 Stefan Knorr (astron) 2012-07-10 08:38:41 UTC
Thanks for bringing this to our attention, Roman.

I guess it would be best to just switch to the normal progress meter on Mac, too, given how the blue bar now clashes even more than before.

I think the culprit is "NativeProgress = 1" in the Mac equivalent of sofficerc – ít seems to do nothing on Windows & Linux, but on Mac apparently draws a native progress meter.
I am not quite sure how to set that from within the source code repo and can't really try either (lacking a Mac).
Comment 3 Roman Eisele 2012-07-10 09:12:32 UTC
(In reply to comment #2)
> I guess it would be best to just switch to the normal progress meter on Mac,
> too, given how the blue bar now clashes even more than before.

IMHO this would be a good solution. Long-time Mac users like me are used to the native blue progress bar, of course, and we should stay with it in (most) other places, but in the splash screen and in the about box many applications use custom controls and special effects (to show what the programmers are able to do), so it seems OK to use a custom progress bar there. (And our custom progress bar looks very nice in the new splash screen, of course! :-)

> I think the culprit is "NativeProgress = 1" in the Mac equivalent of sofficerc
> – ít seems to do nothing on Windows & Linux, but on Mac apparently draws a
> native progress meter.
> I am not quite sure how to set that from within the source code repo and can't
> really try either (lacking a Mac).

Thorsten will know best about these implementation details.

If I -- as a simple QA volunteer -- can help in any way, e.g. by testing a tentative build, just drop me a note.
Comment 4 Stefan Knorr (astron) 2012-07-11 16:56:04 UTC
Hi Roman,

actually, it should be easy for you to help, as all you need to do is edit a configuration file. See here on how to do it on Mac OS:
http://maketecheasier.com/how-to-remove-openoffice-splash-screen-for-good/2008/10/15

Naturally, you don't want to disable the splash screen in this case, so don't set "Logo = 0," instead set
NativeProgress = false
in the same file.
Comment 5 Roman Eisele 2012-07-11 18:48:49 UTC
Created attachment 64122 [details]
Screenshot of alternative (2): splash screen with native progress bar, size and position fixed

(In reply to comment #4)
> Hi Roman,
> 
> actually, it should be easy for you to help [...]

Hi Astron,

thank you for the suggestion! I tried it -- just changing LibreOffice.app/Contents/MacOS/sofficerc really does the job. Amazing!

(1) If I change
  NativeProgress=true
to
  NativeProgress=false
, as you suggested, everything seems to work well: the splash screen shows the custom progress bar, and it looks fine, just like on Linux.

(2) Alternatively, I tried to leave
  NativeProgress=true
, but to change the ProgressPosition and ProgressSize entries instead, from
  ProgressPosition=61,317
  ProgressSize=407,6
to
  ProgressPosition=59,318
  ProgressSize=414,6
This works equally well; in this way, I get a beautiful native progress bar which completely covers the "visible progress bar frame" and works well.
See the attached screenshot!

Which one of these two possibilities we should use, is difficult to decide. IMHO the 2nd alternative has the advantage to use the native progress bar, which is familiar to Mac users, and to look a bit more impressive (the progress bar's vivid blue harmonizes quite well with our new green splash screen); but it may have the little disadvantage that every future change to the splash screen background graphics also requires to change the ProgressPosition and ProgressSize values again. And as I wrote above, IMHO it is OK to use a non-native progress bar especially in the splash screen.

Well, you, Astron, are the UI expert, and you, Thorsten, are the developer, so it's up to you to decide ;-) I can just confirm that both alternatives work well.
Comment 6 Not Assigned 2012-07-16 06:41:46 UTC
Stefan Knorr (astron) committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b8e611e9e17d55c49209f02f70c4a0acd2e0448

fdo#51890: Display themed progress meter instead of the native one
Comment 7 Not Assigned 2012-07-17 09:23:56 UTC
Stefan Knorr (astron) committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1034fd65fc590b0db5b498e999e880b4110d0d3&g=libreoffice-3-6

fdo#51890: Display themed progress meter instead of the native one


It will be available in LibreOffice 3.6.1.
Comment 8 Roman Eisele 2012-07-17 09:59:45 UTC
(In reply to comment #6)
> Stefan Knorr (astron) committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

Hello Astron,

thank you for fixing this!

Is it possible to push this to "libreoffice-3-6-0", too,
which was branched 2 hours ago? Else, this patch will not make it
into the 3.6 release version ...
I think we want LibO 3.0 to look fine from the beginning ;-)

(See

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6-0&id=18dc48fb2dc237d04fce478f7288a50a7888bba1

)
Comment 9 Stefan Knorr (astron) 2012-07-19 15:20:11 UTC
Closing, see above.

@Roman: One more review to get this into 3.6.0, so *fingers crossed*.
Comment 10 Not Assigned 2012-07-19 16:12:15 UTC
Stefan Knorr (astron) committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=317489c04a54ae70ccd2e86421988ff51f26f512&g=libreoffice-3-6-0

fdo#51890: Display themed progress meter instead of the native one


It will be available already in LibreOffice 3.6.0.
Comment 11 Roman Eisele 2012-07-19 17:16:26 UTC
(In reply to comment #10)
> Stefan Knorr (astron) committed a patch related to this issue.
> It has been pushed to "libreoffice-3-6-0" [...]
> It will be available already in LibreOffice 3.6.0.

Wow! We got it! It was just an aesthetic issue, of course, but the Splash Screen is what all users see first of LibreOffice, so IMHO it is good that this window will look fine from the first (3.6.0) release on ... Thank you again!
Comment 12 Roman Eisele 2012-07-26 16:22:46 UTC
VERIFIED FIXED with LibreOffice 3.6.0.3 (Build ID: 61d5034) on MacOS X 10.6.8 (Intel).

Now the progress bar looks fine. Thank you again!